NoClassDefFoundError (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class NoClassDefFoundError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.NoClassDefFoundError

    @TransactionType(value=NOT_SUPPORTED)
    public class NoClassDefFoundError

extends Error

Thrown if the Java Virtual Machine tries to load in the definition of a class (as part of a normal method call or as part of creating a new instance using the `new` expression) and no definition of the class could be found.

The searched-for class definition existed when the currently executing class was compiled, but the definition can no longer be found.

Direct instances of this error class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.1, Java Card 3.0

Constructor Summary
`NoClassDefFoundError()` Constructs a `NoClassDefFoundError` with no detail message.
`NoClassDefFoundError(String s)` Constructs a `NoClassDefFoundError` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoClassDefFoundError

    public NoClassDefFoundError()

  Constructs a `NoClassDefFoundError` with no detail message.

### NoClassDefFoundError

    public NoClassDefFoundError(String s)

  Constructs a `NoClassDefFoundError` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.